API

Get Started

WelcomeQuickstartGuidesChangelogSDKs and ToolsAdditional Info

Authorization

POSTCreate personal access token

List Accounts

GETGet accounts

Account Details

GETGet account portfolio v2GETGet history

Tax Lot Selling

GETGet unrealized tax lotsGETGet unrealized tax lots for symbolGETGet unrealized tax lots csv

Instrument Details

GETGet all instrumentsGETGet instrument

Market Data

POSTGet quotesPOSTGet option expirationsPOSTGet option chainGETGet bars v2GETGet bars v2 with aggregation

Order Placement

POSTPreflight single legPOSTPreflight multi legPOSTPlace orderPUTReplace orderPOSTPlace multileg orderGETGet orderDELETECancel order

Option Details

GETGet option greeksPOSTGet strategy quote
HelpFeedback
Tax Lot Selling

Get unrealized tax lots csv

Retrieve unrealized tax lots as CSV

Returns unrealized tax lots for the specified account in CSV format. Requires the `portfolio` scope. Available to individual investors.

GET/userapigateway/trading/{accountId}/taxlots/csv/unrealized

Parameters

Path Parameters

string

Parameters

NameTypeRequiredDescription
accountIdstringYes-

Body

application/json

No request body defined

Responses

Response

200
application/json
fileNamestring
base64Datastring

Response

404application/json

Account not found or does not belong to the client

No response body defined

The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
{
  "fileName": "string",
  "base64Data": "string"
}
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more